caption: Migration strategy for ecryptfs
deprecated: true
desc: |-
  This policy was removed in M61.

        Specifies how a device should behave that shipped with ecryptfs and needs to transition to ext4 encryption.

        If you set this policy to 'DisallowArc', Android apps will be disabled for all users on the device (including those that have ext4 encryption already) and no migration from ecryptfs to ext4 encryption will be offered to any users.

        If you set this policy to 'AllowMigration', users with ecryptfs home directories will be offered to migrate these to ext4 encryption as necessary (currently when Android N becomes available on the device).

        This policy does not apply to kiosk apps - these are migrated automatically. If this policy is left not set, the device will behave as if 'DisallowArc' was chosen.
device_only: true
example_value: 1
features:
  dynamic_refresh: true
items:
- caption: Policy unset, disallow data migration and ARC
  name: Unset
  value: 0
- caption: Disallow data migration and ARC
  name: DisallowArc
  value: 1
- caption: Allow data migration
  name: AllowMigration
  value: 2
owners:
- igorcov@chromium.org
- pmarko@chromium.org
schema:
  enum:
  - 0
  - 1
  - 2
  type: integer
supported_chrome_os_management:
- google_cloud
supported_on:
- chrome_os:60-60
tags: []
type: int-enum
